[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomScrollBar.CreateParams

CreateParams - calls inherited CreateParams then sets up style and alignment depending on whether horizontal or vertical

## Declaration

Source position: stdctrls.pp line 96

`protected procedure TCustomScrollBar.CreateParams(`
`var Params: TCreateParams`
`); override;`

## Arguments

`Params` |  | The paramaeter list

## Description

CreateParams - calls inherited CreateParams then sets up style and alignment depending on whether horizontal or vertical

The inherited method creates parameters such as caption, style, size and position for a Control

## See also

WinControl.CreateParams |  | CreateParams - create parameters for this windowed class

The latest version of this document can be found at lazarus-ccr.sourceforge.net.